use teloxide::{adaptors::Throttle, prelude::*};

/// Deletes the message from the callback
pub async fn run(bot: Throttle<Bot>, q: CallbackQuery) -> crate::Result<()> {
    match q.message {
        Some(msg) => {
            bot.delete_message(msg.chat.id, msg.id).await?;
            Ok(())
        }
        None => Ok(()),
    }
}

/// Filters the delete_message callbacks
pub fn filter(q: CallbackQuery) -> bool {
    matches!(q.data.as_deref(), Some("delete_message"))
}
