use crate::{
    errors::HandlerUsed,
    handlers::{utils::delete_optional, MainDialogue, PackagedHandler},
};
use sea_orm::prelude::*;
use teloxide::{adaptors::Throttle, prelude::*};

/// Function to handle get_document state. It doesn't actually validate anything
pub async fn get_document(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
    dialogue: MainDialogue,
    next: PackagedHandler<()>,
) -> crate::Result<()> {
    let handler = next.lock().await.take().ok_or(HandlerUsed)?;
    delete_optional(&bot, &handler.previous).await;
    (handler.handler)(bot, msg, db, dialogue, ()).await
}
